Version: 1.0.20031126
Release: alt1
Name: emacs-tiny-tools
License: GPL
Group: Editors
Url: http://tiny-tools.sourceforge.net/
Summary: tiny-tools package for Emacs
Summary(ru_RU.KOI8-R):  tiny-tools  Emacs
Requires: emacs-common emacsen-startscripts

Source: tiny-tools.tar.gz
Source1: tiny-tools.el

BuildArch: noarch

# Automatically added by buildreq on Sat Jun 07 2003
BuildRequires: XFree86-libs XFree86-locales emacs-common emacs-leim emacsen-startscripts

%description
Emacs Tiny Tools is a collection of libraries and packages, which are
designed to be OS and X/Emacs platform independent. E.g. configure load-path
automatically, URL handler, easy-delete, mail complete and many more.

%description -l ru_RU.KOI8-R
Tiny-tools --    ,   
,        
Emacs. ,    ,  URL
   .

%prep
%setup -n tiny-tools

%build
cd lisp/tiny
for i in *.el ; do
	emacs -batch --eval "(progn
	(setq load-path (append (list \".\" \"../other\" \"../../rc\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ../other
for i in *.el ; do
	emacs -batch --eval "(progn
	(setq load-path (append (list \".\" \"../tiny\" \"../../rc\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ../../rc
for i in *.el ; do
	emacs -batch --eval "(progn
	(setq load-path (append (list \".\" \"../lisp/tiny\" \"../lisp/other\")  load-path))
	(byte-compile-file \"$i\"))"
done

cd ..

%install
mkdir -p %buildroot%_emacslispdir/tiny-tools/rc
mkdir -p %buildroot%_emacslispdir/tiny-tools/tiny
mkdir -p %buildroot%_emacslispdir/tiny-tools/other
install -m 644 lisp/other/*.el* %buildroot%_emacslispdir/tiny-tools/other/
install -m 644 lisp/tiny/*.el* %buildroot%_emacslispdir/tiny-tools/tiny/
install -m 644 rc/*.el* %buildroot%_emacslispdir/tiny-tools/rc/

mkdir -p %buildroot%_docdir/%name/html/pic
mkdir -p %buildroot%_docdir/%name/txt
install -m 644 doc/html/*.html %buildroot%_docdir/%name/html/
install -m 644 doc/html/pic/*.jpg %buildroot%_docdir/%name/html/pic/
install -m 644 doc/txt/*.txt %buildroot%_docdir/%name/txt/
install -m 644 doc/ChangeLog %buildroot%_docdir/%name/

mkdir -p %buildroot%_docdir/%name/contrib
install -m 644 bin/*.pl %buildroot%_docdir/%name/contrib/
install -m 644 bin/admin.bashrc %buildroot%_docdir/%name/contrib/
install -m 644 bin/*.pl %buildroot%_docdir/%name/contrib/

mkdir -p %buildroot/etc/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/tiny-tools.el

%files
%doc %_docdir/%name/
%dir %_emacslispdir/tiny-tools/
%dir %_emacslispdir/tiny-tools/rc
%dir %_emacslispdir/tiny-tools/other
%dir %_emacslispdir/tiny-tools/tiny
%_emacslispdir/tiny-tools/tiny/*.el*
%_emacslispdir/tiny-tools/rc/*.el*
%_emacslispdir/tiny-tools/other/*.el*
/etc/emacs/site-start.d/*

%changelog
* Wed Nov 26 2003 Ott Alex <ott@altlinux.ru> 1.0.20031126-alt1
- New snapshot

* Wed Nov 19 2003 Ott Alex <ott@altlinux.ru> 1.0.20031119-alt1
- New snapshot

* Sun Oct 26 2003 Ott Alex <ott@altlinux.ru> 1.0.20031026-alt1
- New snapshot

* Sat Oct 11 2003 Ott Alex <ott@altlinux.ru> 1.0.20031010-alt1
- New snapshot

* Sun Sep 21 2003 Ott Alex <ott@altlinux.ru> 1.0.20030919-alt1
- New snapshot

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 1.0.20030915-alt1
- New snapshot

* Thu Aug 07 2003 Ott Alex <ott@altlinux.ru> 1.0.200306807-alt1
- New snapshot

* Sun Jun 22 2003 Ott Alex <ott@altlinux.ru> 1.0.20030622-alt1
- New snapshot

* Sat Jun 07 2003 Ott Alex <ott@altlinux.ru> 1.0.20030607-alt1
- New snapshot and cleaning spec file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.0.20030207-alt1
- Fixing spec

* Mon Nov 18 2002 Ott Alex <ott@altlinux.ru> 1.0.20021118-alt1
- Initial build for ALTLinux

